﻿using ProjectManagementSystem.Device.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Device.CommandCallback
{
    public class InfoVcuRelease : BaseInfo, IDeviceCommandCallback
    {
        public int AgvId { get; set; }
        public void Deserialize(byte[] data)
        {
            AgvId = BitConverter.ToUInt16(data, 1);

            LastUpdateTime = DateTime.Now;
        }
    }
}
