﻿using DbCommon.Enties.DbModels;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class LocationPropertyUpdateDto
    {
        [Required]
        [MaxLength(50)]
        public string LocationCode { get; set; }

        [Required]
        public LocationStatus Status { get; set; }

        [MaxLength(50)]
        public string MaterialId { get; set; }//物料名称

        [MaxLength(50)]
        public string MaterialNumber { get; set; }
        /// <summary>
        /// //attribute1
        /// </summary>
        public Int16 ProductID { get; set; }//产品序号
        /// <summary>
        /// //attribute2
        /// </summary>
        public Int16 Modelstate{ get; set; }//模型状态 
        /// <summary>
        /// //attribute3
        /// </summary>
        public Int16 Processtype { get; set; }//加工过程
        /// <summary>
        /// //attribute4
        /// </summary>
        public Int16 ProductNum { get; set; }//产品编号
        /// <summary>
        /// //attribute5
        /// </summary>
        public Int16 SandingTime { get; set; }//加砂时间
        /// <summary>
        /// //attribute6
        /// </summary>
        public Int16 SwingTime { get; set; }//震实时间
        /// <summary>
        /// //attribute7
        /// </summary>
        public Int16 DryingTime { get; set; }//烘干时间
        /// <summary>
        /// //attribute8
        /// </summary>
        public Int16 DryingTemp { get; set; }//烘干温度
        /// <summary>
        /// //attribute9
        /// </summary>
        public Int16 ClampHigh { get; set; }//合箱高度
        /// <summary>
        /// //attribute10
        /// </summary>
        public Int16 PourSite { get; set; }//浇口位置
        /// <summary>
        /// //attribute11
        /// </summary>
        public Int16 PourWeight { get; set; }//浇注重量
        /// <summary>
        /// //attribute12
        /// </summary>
        [MaxLength(20)]
        public string ProductMapNum { get; set; }//产品图件号

        //public bool PadUpdate { get; set; }
    }
}

