﻿using ProjectManagementSystem.Common.Config;
using ProjectManagementSystem.Common.Core;
using ProjectManagementSystem.Common.Extenions;
using ProjectManagementSystem.Common.Logger;
using ProjectManagementSystem.Common.Models.Crms;
using ProjectManagementSystem.Common.Service;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.TaskBookEvent
{
    public class TaskBookBehavior_63003 : BaseTaskBookBehaviorV2
    {
        public TaskBookBehavior_63003() : base(63003, "库位放货")
        {
        }

        public override bool TaskBookOperator(TaskData taskDetailInfo, StepData stepInfo)
        {
            try
            {
                var data = Crms.SWmsApi.GetLocationStockByLocationId(stepInfo.WareHouseID);
                if (data == null)
                {
                    return false;
                }
                if(data.Location.warehouseId== "升降机")
                {
                    //var agvStock = Crms.SWmsApi.GetStockByAgvId(taskDetailInfo.Carrier, out var content);
                    //if (agvStock == null)
                    //{
                    //    return false;
                    //}
                    //var agv物料名称Addr = stepInfo.WareHouseID.GetLocationMember("产品名称(AGV)");
                    //var agv产品序号Addr = stepInfo.WareHouseID.GetLocationMember("产品序号(AGV)");
                    //var agv模型状态Addr = stepInfo.WareHouseID.GetLocationMember("模型状态(AGV)");
                    //var agv加工过程Addr = stepInfo.WareHouseID.GetLocationMember("加工过程(AGV)");
                    //var agv产品编号Addr = stepInfo.WareHouseID.GetLocationMember("产品编号(AGV)");
                    //var agv加砂时间Addr = stepInfo.WareHouseID.GetLocationMember("加砂时间(AGV)");
                    //var agv震实时间Addr = stepInfo.WareHouseID.GetLocationMember("震实时间(AGV)");
                    //var agv烘干时间Addr = stepInfo.WareHouseID.GetLocationMember("烘干时间(AGV)");
                    //var agv烘干温度Addr = stepInfo.WareHouseID.GetLocationMember("烘干温度(AGV)");
                    //var agv合箱高度Addr = stepInfo.WareHouseID.GetLocationMember("合箱高度(AGV)");
                    //var agv浇口位置Addr = stepInfo.WareHouseID.GetLocationMember("浇口位置(AGV)");
                    //var agv浇注重量Addr = stepInfo.WareHouseID.GetLocationMember("浇注重量(AGV)");
                    //var agv产品图件号Addr = stepInfo.WareHouseID.GetLocationMember("产品图件号(AGV)");
                    //if ( string.IsNullOrWhiteSpace(agv物料名称Addr)
                    //    || string.IsNullOrWhiteSpace(agv产品序号Addr)
                    //    || string.IsNullOrWhiteSpace(agv模型状态Addr)
                    //    || string.IsNullOrWhiteSpace(agv加工过程Addr)
                    //    || string.IsNullOrWhiteSpace(agv产品编号Addr)
                    //    || string.IsNullOrWhiteSpace(agv加砂时间Addr)
                    //    || string.IsNullOrWhiteSpace(agv震实时间Addr)
                    //    || string.IsNullOrWhiteSpace(agv烘干时间Addr)
                    //    || string.IsNullOrWhiteSpace(agv烘干温度Addr)
                    //    || string.IsNullOrWhiteSpace(agv合箱高度Addr)
                    //    || string.IsNullOrWhiteSpace(agv浇口位置Addr)
                    //    || string.IsNullOrWhiteSpace(agv浇注重量Addr)
                    //    || string.IsNullOrWhiteSpace(agv产品图件号Addr))
                    //{
                    //    return false;
                    //}
                    //short.TryParse(agvStock.attribute1, out short ProductID);
                    //short.TryParse(agvStock.attribute2, out short Modelstate);
                    //short.TryParse(agvStock.attribute3, out short Processtype);
                    //short.TryParse(agvStock.attribute4, out short ProductNum);
                    //short.TryParse(agvStock.attribute5, out short SandingTime);
                    //short.TryParse(agvStock.attribute6, out short SwingTime);
                    //short.TryParse(agvStock.attribute7, out short DryingTime);
                    //short.TryParse(agvStock.attribute8, out short DryingTemp);
                    //short.TryParse(agvStock.attribute9, out short ClampHigh);
                    //short.TryParse(agvStock.attribute10, out short PourSite);
                    //short.TryParse(agvStock.attribute11, out short PourWeight);
                    
                    //RouteConfig routeConfig= ExcelConfig.Instance.GetRouteConfig(stepInfo.WareHouseID);
                    //if (!routeConfig.PlcReadWrite.Write(agv物料名称Addr, agvStock.goodsCode).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv产品图件号Addr, agvStock.attribute12).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv产品序号Addr, ProductID).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv模型状态Addr, Modelstate).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv加工过程Addr, Processtype).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv产品编号Addr, ProductNum).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv加砂时间Addr, SandingTime).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv震实时间Addr, SwingTime).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv烘干时间Addr, DryingTime).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv烘干温度Addr, DryingTemp).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv合箱高度Addr, ClampHigh).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv浇口位置Addr, PourSite).IsSuccess
                    //    || !routeConfig.PlcReadWrite.Write(agv浇注重量Addr, PourWeight).IsSuccess
                    //    )
                    //{
                    //    return false;
                    //}

                }
                var result = Crms.PmsTaskService.StockMoveAgvToLocation(taskDetailInfo, stepInfo, out var message);
                if (result)
                {
                    //灭叫料盒灯
                    //int route = stepInfo.WareHouseID.GetLocationMember("叫料任务路线").ToValue<int>();
                    //if (route > 0)
                    //{
                    //    for (int i = 0; i < 2; i++)
                    //    {
                    //        DeviceControl.Instance.CallBoxLightOff(route);
                    //        System.Threading.Thread.Sleep(100);
                    //    }
                    //}
                }

                Log(taskDetailInfo, stepInfo, message);
                return result;
            }
            catch (Exception ex)
            {
                LogException(ex);
            }
            return false;
        }
    }
}

