﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectManagementSystem.Common.Extenions;
using ProjectManagementSystem.Common.Config;
using ProjectManagementSystem.Common.Core;

namespace ProjectManagementSystem.Common.TaskBookEvent
{
    public class TaskBookBehavior_63010 : TaskBookBehavior_63007
    {
        public TaskBookBehavior_63010() : base(63010, "更改步骤库位(CRMS PACK)")
        {
        }

        protected override bool CheckNoAgv(string location)
        {
            var ignoreCheck = location.GetLocationMember("忽略检查工位AGV").ToValue<bool>();
            if (ignoreCheck)
            {
                return true;
            }

            var sDict = PackControlCrms.Instance.StationDictionary;
            return sDict.TryGetValue(location, out var station) && !station.AgvInArea;
        }
    }
}
