﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmPackStationV2
    {
        public string Id { get; set; }

        public int AgvIdApproaching { get; set; }
        public int AgvIdRequestEnter { get; set; }
        public int AgvIdEntering { get; set; }
        public int AgvIdAtStation { get; set; }
        public int AgvIdLeaving { get; set; }
        public int AgvIdLeaveDone { get; set; }

        public string Message { get; set; }
        public string MessageWaitRequest { get; set; }
        public string MessageWaitStation { get; set; }
        public string MessageWaitLeave { get; set; }

        public double TimeConsumption { get; set; }
    }
}
